## akonadi 1.12.1

=== CMakeLists.txt ===
project(Akonadi)

cmake_minimum_required(VERSION 2.8.8 FATAL_ERROR)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH "${Akonadi_SOURCE_DIR}/cmake/modules")

# Enable CMake's Automoc
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Used to report the packages we found
include(FeatureSummary)

############### Build Options ###############

include(CTest)
include(CTestConfig.cmake)
option(AKONADI_BUILD_TESTS "Build the Akonadi unit tests." TRUE)
option(AKONADI_BUILD_QSQLITE "Build the Sqlite backend." TRUE)
option(INSTALL_QSQLITE_IN_QT_PREFIX "Install the QSQLite plugin in QT_PLUGIN_DIR" FALSE)
option(STATIC_LIBRARY "Build Akonadi as a static library." FALSE)
option(QT5_BUILD "Build Akonadi using the Qt5 framework" FALSE)
option(WITH_SOPRANO "Build with Soprano support. Needed for Nepomuk search integration." TRUE)

if(NOT DEFINED DATABASE_BACKEND)
  set(DATABASE_BACKEND "MYSQL" CACHE STRING "The default database backend to use for Akonadi. Can be either MYSQL, POSTGRES or SQLITE")
endif()

if(AKONADI_BUILD_TESTS)
  enable_testing()
endif()

############### CMake Macros ###############

include(InstallSettings)
include(CheckFunctionExists)
include(CheckIncludeFiles)
include(CMakePackageConfigHelpers)

############### CTest options ###############
# Set a timeout value of 1 minute per test
set(DART_TESTING_TIMEOUT 60)

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake COPYONLY)

############### The Akonadi version (used in AkonadiConfig.cmake) ###############

set(AKONADI_VERSION_MAJOR "1")
set(AKONADI_VERSION_MINOR "12")
set(AKONADI_VERSION_PATCH "1")

set(AKONADI_VERSION "${AKONADI_VERSION_MAJOR}.${AKONADI_VERSION_MINOR}.${AKONADI_VERSION_PATCH}")
set(AKONADI_VERSION_STRING "${AKONADI_VERSION}")

# If Git is installed and a '.git' directory is found,
# we append the Git revision to AKONADI_VERSION_STRING
if(EXISTS "${Akonadi_SOURCE_DIR}/.git")
  find_package(Git)
  if(GIT_FOUND)
    message(STATUS "Found git: ${GIT_EXECUTABLE}")
    execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
                    WORKING_DIRECTORY ${Akonadi_SOURCE_DIR}
                    OUTPUT_VARIABLE akonadi_git_revision
                    OUTPUT_STRIP_TRAILING_WHITESPACE)
    set(AKONADI_VERSION_STRING "${AKONADI_VERSION_STRING} (revision: ${akonadi_git_revision})")
  endif()
endif()


############### Macros ###############

macro(SET_DEFAULT_DB_BACKEND)
    set(_backend ${ARGV0})
    if("${_backend}" STREQUAL "SQLITE")
        set(AKONADI_DATABASE_BACKEND QSQLITE3)
        set(AKONADI_BUILD_QSQLITE TRUE)
    else()
        if("${_backend}" STREQUAL "POSTGRES")
          set(AKONADI_DATABASE_BACKEND QPSQL)
        else()
          set(AKONADI_DATABASE_BACKEND QMYSQL)
        endif()
    endif()

    message(STATUS "Using default db backend ${AKONADI_DATABASE_BACKEND}")
endmacro()

#### DB BACKEND DEFAULT ####
set_default_db_backend(${DATABASE_BACKEND})


############### Find what we need ###############

#### Qt 4 and 5 ####
if(QT5_BUILD)
  find_package(Qt5Core REQUIRED)
  find_package(Qt5Gui REQUIRED)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Sql REQUIRED)
  find_package(Qt5Network REQUIRED)
  find_package(Qt5Xml REQUIRED)
  find_package(Qt5DBus REQUIRED)
  find_package(Qt5Test REQUIRED)

  include("cmake/modules/ECMQt4To5Porting.cmake")
  include_directories(${QT_INCLUDES}) # TODO: Port away from this.

  if(CMAKE_VERSION VERSION_LESS 2.8.9)
    message(FATAL_ERROR "Akonadi Qt 5 build requires at least CMake version 2.8.9")
  endif()

  if (Qt5_POSITION_INDEPENDENT_CODE)
    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
  endif()

  set(QT_QTTEST_LIBRARIES Qt5::Test)
else()
  set(QT_USE_IMPORTED_TARGETS TRUE) # Qt 4 only
  set(QT_MIN_VERSION 4.8.0)         # Qt 4 only

  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
endif()

if(STATIC_LIBRARY)
  set(LIBRARY_TYPE STATIC)
  set(AKONADI_STATIC_LIBS ON)
  message(STATUS "Building Akonadi as a static library")
else()
  set(LIBRARY_TYPE SHARED)
endif()

#### Soprano ####
if(WITH_SOPRANO)
  set(SOPRANO_MIN_VERSION 2.7.56)
  find_package(Soprano)

  set_package_properties(Soprano PROPERTIES
                         URL "http://soprano.sourceforge.net"
                         DESCRIPTION "Storage of semantic data"
                         TYPE REQUIRED
                         PURPOSE "Soprano is needed for the Nepomuk search backend"
  )
endif()

#### SMI ####
set(SMI_MIN_VERSION "0.20")
find_package(SharedMimeInfo ${SMI_MIN_VERSION})
set_package_properties(SharedMimeInfo PROPERTIES
                       URL "http://freedesktop.org/wiki/Software/shared-mime-info"
                       DESCRIPTION "File types database and utilities"
                       TYPE REQUIRED
)

#### XSLTProc ####
find_program(XSLTPROC_EXECUTABLE xsltproc)
if(NOT XSLTPROC_EXECUTABLE)
  message(FATAL_ERROR "\nThe command line XSLT processor program 'xsltproc'  could not be found.\nPlease install xsltproc.\n")
endif()

#### Boost ####
# In CMake >= 2.8.6, FindBoost.cmake tries to find BoostConfig.cmake which is
# not compatible with CMake's FindBoost. Disable this function.
set(Boost_NO_BOOST_CMAKE TRUE)

find_package(Boost COMPONENTS program_options)
set_package_properties(Boost PROPERTIES
                       URL "http://www.boost.org"
                       DESCRIPTION "The Boost C++ Libraries"
                       TYPE REQUIRED
                       PURPOSE "Akonadi requires the Boost C++ libraries (program_options)"
)

# should be handled by FindBoost.cmake ->  cmake bug #8335
if(WIN32 AND NOT Boost_USE_STATIC_LIBS)
  add_definitions(-DBOOST_DYN_LINK)
  add_definitions(-DBOOST_PROGRAM_OPTIONS_DYN_LINK)
endif()


#### Sqlite ####
# If Sqlite is the default backend, it cannot be optional.
if("${DATABASE_BACKEND}" STREQUAL "SQLITE")
  set(SQLITE_TYPE "REQUIRED")
else()
  set(SQLITE_TYPE "OPTIONAL")
endif()

if(AKONADI_BUILD_QSQLITE)
  set(SQLITE_MIN_VERSION 3.6.23)
  find_package(Sqlite ${SQLITE_MIN_VERSION})
  set_package_properties(Sqlite PROPERTIES
                         URL "http://www.sqlite.org"
                         DESCRIPTION "The Sqlite database library"
                         TYPE ${SQLITE_TYPE}
                         PURPOSE "Required by the Sqlite backend"
  )
endif()

############### Compilers flags ###############

option(CMAKE_COMPILE_GCOV "Build with coverage support." FALSE)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_C_COMPILER MATCHES "icc" OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
  set(_ENABLE_EXCEPTIONS -fexceptions)

  # more aggressive warnings and C++11 support
  set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -Wextra -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -Wnon-virtual-dtor -Wundef -Wcast-align -Wchar-subscripts -Wall -Wextra -Wpointer-arith -Wformat-security -fno-common")

  # debugfull target
  set(CMAKE_CXX_FLAGS_DEBUGFULL "-g3 -fno-inline" CACHE STRING "Flags used by the C++ compiler during debugfull builds." FORCE)
  set(CMAKE_C_FLAGS_DEBUGFULL   "-g3 -fno-inline" CACHE STRING "Flags used by the C compiler during debugfull builds." FORCE)
  mark_as_advanced(CMAKE_CXX_FLAGS_DEBUGFULL CMAKE_C_FLAGS_DEBUGFULL)

  # Update the documentation string of CMAKE_BUILD_TYPE for ccache & cmake-gui
  set(CMAKE_BUILD_TYPE "${CMAKE_BUILD_TYPE}" CACHE STRING
      "Choose the type of build, options are: None debugfull Debug Release RelWithDebInfo MinSizeRel."
      FORCE)

  # coverage support
  if(CMAKE_COMPILE_GCOV)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
      set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lprofile_rt" CACHE STRING "Flags used by the linker" FORCE)
      set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -lprofile_rt" CACHE STRING "Flags used by the linker" FORCE)
      set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -lprofile_rt" CACHE STRING "Flags used by the linker" FORCE)
    endif()
  endif()
endif()

if(MSVC)
  set(_ENABLE_EXCEPTIONS -EHsc)
endif()

add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_KEYWORDS)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)


############### Configure checks ###############

set(AKONADI_SYSTEM_LIBS)

check_include_files(execinfo.h HAVE_EXECINFO_H)
if(HAVE_EXECINFO_H)
  check_function_exists(backtrace BACKTRACE_IN_LIBC)
  if(NOT BACKTRACE_IN_LIBC)
    find_library(EXECINFO_LIBRARY NAMES execinfo)
    if(EXECINFO_LIBRARY)
      set(AKONADI_SYSTEM_LIBS ${AKONADI_SYSTEM_LIBS} ${EXECINFO_LIBRARY})
    endif()
  endif()
endif()

check_include_files(unistd.h HAVE_UNISTD_H)

# set the output paths
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
if(WIN32)
  set(LIBRARY_OUTPUT_PATH   ${EXECUTABLE_OUTPUT_PATH})
else()
  set(LIBRARY_OUTPUT_PATH   ${CMAKE_BINARY_DIR}/lib)
endif()

# Set up RPATH handling, so the libs are found if they are installed to a non-standard location.
# By default cmake builds the targets with full RPATH to everything in the build directory,
# but then removes the RPATH when installing.
# These two options below make it set the RPATH of the installed targets to all
# RPATH directories outside the current CMAKE_BINARY_DIR and also the library
# install directory, but only if this directory is not a default system library directory. Alex
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${LIB_INSTALL_DIR}" _isSystemLibDir)
if("${_isSystemLibDir}" STREQUAL "-1")
  set(CMAKE_INSTALL_RPATH "${LIB_INSTALL_DIR}")
endif()

if(NOT DEFINED AKONADI_BUNDLE_PATH)
  set(AKONADI_BUNDLE_PATH "/Applications/KDE4")
endif()

if(APPLE)
   message(STATUS "MacOS Bundle Path: ${AKONADI_BUNDLE_PATH}")
   set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})
endif()

############### Generate files ###############
# Used in configure_file() and install(EXPORT). Must be set before setting the AkonadiConfig.cmake vars.
set(AKONADI_TARGET_PREFIX Akonadi__)

if(Soprano_FOUND)
  set(HAVE_SOPRANO TRUE)
endif()
configure_file(akonadi-prefix.h.cmake ${Akonadi_BINARY_DIR}/akonadi-prefix.h)
configure_file(config-akonadi.h.cmake ${Akonadi_BINARY_DIR}/config-akonadi.h)

# This command will replace the installation dirs with absolute paths in AkonadiConfig.cmake
configure_package_config_file(AkonadiConfig.cmake.in ${Akonadi_BINARY_DIR}/AkonadiConfig.cmake
                              INSTALL_DESTINATION ${LIB_INSTALL_DIR}/cmake/Akonadi
                              PATH_VARS BIN_INSTALL_DIR INCLUDE_INSTALL_DIR
                              LIB_INSTALL_DIR CONFIG_INSTALL_DIR
                              DBUS_INTERFACES_INSTALL_DIR DBUS_SERVICES_INSTALL_DIR
                              SHARE_INSTALL_PREFIX XDG_MIME_INSTALL_DIR
                             )

# this file is used by to check if the installed version can be used.
write_basic_package_version_file(${Akonadi_BINARY_DIR}/AkonadiConfigVersion.cmake
                                 VERSION ${AKONADI_VERSION}
                                 COMPATIBILITY SameMajorVersion
                                )

if(NOT WIN32)
  configure_file(${Akonadi_SOURCE_DIR}/akonadi.pc.cmake ${Akonadi_BINARY_DIR}/akonadi.pc @ONLY)
endif()

############### build targets ###############

include_directories(${Akonadi_SOURCE_DIR} ${Akonadi_BINARY_DIR} ${QT_INCLUDES} ${Boost_INCLUDE_DIR})

add_subdirectory(interfaces)
add_subdirectory(libs)
set(AKONADI_PROTOCOLINTERNALS_LIBS ${akonadiprotocolinternals_LIB_DEPENDS} akonadiprotocolinternals)

add_subdirectory(shared)

=== asapcat/CMakeLists.txt ===
project(asapcat)

#set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_ENABLE_EXCEPTIONS}" )
set(AKONADI_PROTOCOLINTERNALS_LIBS ${akonadiprotocolinternals_LIB_DEPENDS} akonadiprotocolinternals)

set(asapcat_srcs
  main.cpp
  session.cpp
)

add_executable(asapcat ${asapcat_srcs})

target_link_libraries(asapcat akonadi_shared ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${AKONADI_PROTOCOLINTERNALS_LIBS} ${Boost_PROGRAM_OPTIONS_LIBRARY})

install(TARGETS asapcat DESTINATION ${BIN_INSTALL_DIR})

=== libs/CMakeLists.txt ===
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_ENABLE_EXCEPTIONS}")

configure_file(akonadiprotocolinternals_export.h.in ${Akonadi_BINARY_DIR}/akonadiprotocolinternals_export.h)

# libakonadiprotocolinternals
set(akonadiprotocolinternals_srcs
  imapparser.cpp
  imapset.cpp
  notificationmessage.cpp
  notificationmessagev2.cpp
  notificationmessagev3.cpp
  xdgbasedirs.cpp
)

add_library(akonadiprotocolinternals ${LIBRARY_TYPE} ${akonadiprotocolinternals_srcs})

target_link_libraries(akonadiprotocolinternals ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY})
set_target_properties(akonadiprotocolinternals PROPERTIES
                        VERSION ${AKONADI_VERSION}
                        SOVERSION ${AKONADI_VERSION_MAJOR}
                        DEFINE_SYMBOL MAKE_AKONADIPROTOCOLINTERNALS_LIB
                      )

install(TARGETS akonadiprotocolinternals EXPORT akonadiLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${Akonadi_BINARY_DIR}/akonadiprotocolinternals_export.h
  imapparser_p.h
  imapset_p.h
  notificationmessage_p.h
  notificationmessagev2_p.h
  notificationmessagev3_p.h
  protocol_p.h
  xdgbasedirs_p.h
  capabilities_p.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/akonadi/private
)

add_subdirectory(tests)

=== rds/CMakeLists.txt ===
project(akonadi_rds)

#set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_ENABLE_EXCEPTIONS}" )
set(AKONADI_PROTOCOLINTERNALS_LIBS ${akonadiprotocolinternals_LIB_DEPENDS} akonadiprotocolinternals)

########### next target ###############

set(akonadi_rds_srcs
  bridgeserver.cpp
  bridgeconnection.cpp
  main.cpp
)

add_executable(akonadi_rds ${akonadi_rds_srcs})

target_link_libraries(akonadi_rds akonadi_shared ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${AKONADI_PROTOCOLINTERNALS_LIBS} ${Boost_PROGRAM_OPTIONS_LIBRARY})

install(TARGETS akonadi_rds DESTINATION ${BIN_INSTALL_DIR})

=== server/CMakeLists.txt ===
find_program(MYSQLD_EXECUTABLE NAMES mysqld
              PATHS /usr/sbin /usr/local/sbin /usr/libexec /usr/local/libexec /opt/mysql/libexec /usr/mysql/bin /opt/mysql/sbin
              DOC "The mysqld executable path. ONLY needed at runtime"
            )

if(MYSQLD_EXECUTABLE)
   message(STATUS "MySQL Server found: ${MYSQLD_EXECUTABLE}")
else()
   message(STATUS "MySQL Server wasn't found. it is required to use the MySQL backend.")
endif()

find_path(POSTGRES_PATH NAMES pg_ctl
              HINTS /usr/lib${LIB_SUFFIX}/postgresql/8.4/bin
                    /usr/lib${LIB_SUFFIX}/postgresql/9.0/bin
                    /usr/lib${LIB_SUFFIX}/postgresql/9.1/bin
              DOC "The pg_ctl executable path. ONLY needed at runtime by the PostgreSQL backend"
         )

if(POSTGRES_PATH)
   message(STATUS "PostgreSQL Server found.")
else()
   message(STATUS "PostgreSQL wasn't found. it is required to use the Postgres backend.")
endif()

include_directories(${Akonadi_SOURCE_DIR}/libs)
include_directories(${Akonadi_BINARY_DIR}/libs)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/handler)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/nepomuk)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/tests)
include_directories(${Akonadi_SOURCE_DIR}/shared)
if(Soprano_FOUND)
  include_directories(${SOPRANO_INCLUDE_DIR})
endif()
include_directories(BEFORE ${CMAKE_CURRENT_SOURCE_DIR})
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

macro(akonadi_generate_schema _schemaXml _className _fileBaseName)
add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_fileBaseName}.h
         ${CMAKE_CURRENT_BINARY_DIR}/${_fileBaseName}.cpp
  COMMAND ${XSLTPROC_EXECUTABLE}
          --output ${CMAKE_CURRENT_BINARY_DIR}/${_fileBaseName}.h
          --stringparam code header
          --stringparam className ${_className}
          --stringparam fileName ${_fileBaseName}
          ${Akonadi_SOURCE_DIR}/server/src/storage/schema.xsl
          ${_schemaXml}
  COMMAND ${XSLTPROC_EXECUTABLE}
          --output ${CMAKE_CURRENT_BINARY_DIR}/${_fileBaseName}.cpp
          --stringparam code source
          --stringparam className ${_className}
          --stringparam fileName ${_fileBaseName}
          ${Akonadi_SOURCE_DIR}/server/src/storage/schema.xsl
          ${_schemaXml}
  DEPENDS ${Akonadi_SOURCE_DIR}/server/src/storage/schema.xsl
          ${Akonadi_SOURCE_DIR}/server/src/storage/schema-header.xsl
          ${Akonadi_SOURCE_DIR}/server/src/storage/schema-source.xsl
          ${_schemaXml}
)
endmacro()


add_subdirectory(akonadictl)
add_subdirectory(control)
add_subdirectory(src)
add_subdirectory(tests)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_ENABLE_EXCEPTIONS}")
if(MYSQLD_EXECUTABLE)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DMYSQLD_EXECUTABLE=\"\\\"${MYSQLD_EXECUTABLE}\\\"\"")
endif()

if(POSTGRES_PATH)
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DPOSTGRES_PATH=\"\\\"${POSTGRES_PATH}\\\"\"")
endif()

########### next target ###############

set(AKONADI_DB_SCHEME ${CMAKE_CURRENT_SOURCE_DIR}/src/storage/akonadidb.xml)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/entities.h
         ${CMAKE_CURRENT_BINARY_DIR}/entities.cpp
  COMMAND ${XSLTPROC_EXECUTABLE}
          --output ${CMAKE_CURRENT_BINARY_DIR}/entities.h
          --stringparam code header
          ${CMAKE_CURRENT_SOURCE_DIR}/src/storage/entities.xsl
          ${AKONADI_DB_SCHEME}
  COMMAND ${XSLTPROC_EXECUTABLE}
          --output ${CMAKE_CURRENT_BINARY_DIR}/entities.cpp
          --stringparam code source
          ${CMAKE_CURRENT_SOURCE_DIR}/src/storage/entities.xsl
          ${AKONADI_DB_SCHEME}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/src/storage/entities.xsl
          ${CMAKE_CURRENT_SOURCE_DIR}/src/storage/entities-header.xsl
          ${CMAKE_CURRENT_SOURCE_DIR}/src/storage/entities-source.xsl
          ${AKONADI_DB_SCHEME}
)

akonadi_generate_schema(${AKONADI_DB_SCHEME} AkonadiSchema akonadischema)

set(libakonadiprivate_SRCS
  src/akonadi.cpp
  src/connection.cpp
  src/collectionscheduler.cpp
  src/clientcapabilities.cpp
  src/clientcapabilityaggregator.cpp
  src/handler.cpp
  src/handlerhelper.cpp
  src/intervalcheck.cpp
  src/response.cpp
  src/handler/akappend.cpp
  src/handler/append.cpp
  src/handler/copy.cpp
  src/handler/colcopy.cpp
  src/handler/colmove.cpp
  src/handler/create.cpp
  src/handler/capability.cpp
  src/handler/delete.cpp
  src/handler/expunge.cpp
  src/handler/fetch.cpp
  src/handler/fetchhelper.cpp
  src/handler/fetchscope.cpp
  src/handler/link.cpp
  src/handler/list.cpp
  src/handler/login.cpp
  src/handler/logout.cpp
  src/handler/modify.cpp
  src/handler/move.cpp
  src/handler/remove.cpp
  src/handler/resourceselect.cpp
  src/handler/scope.cpp
  src/handler/search.cpp
  src/handler/searchhelper.cpp
  src/handler/searchpersistent.cpp
  src/handler/searchresult.cpp
  src/handler/select.cpp
  src/handler/subscribe.cpp
  src/handler/status.cpp
  src/handler/store.cpp
  src/handler/tagappend.cpp
  src/handler/tagfetch.cpp
  src/handler/tagfetchhelper.cpp
  src/handler/tagremove.cpp
  src/handler/tagstore.cpp
  src/handler/transaction.cpp
  src/search/agentsearchengine.cpp
  src/search/agentsearchinstance.cpp
  src/search/searchtaskmanager.cpp
  src/search/searchtaskmanagerthread.cpp
  src/search/searchrequest.cpp
  src/search/searchmanager.cpp

  src/storage/collectionqueryhelper.cpp
  src/storage/entity.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/entities.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/akonadischema.cpp
  src/storage/datastore.cpp
  src/storage/dbconfig.cpp
  src/storage/dbconfigmysql.cpp
  src/storage/dbconfigpostgresql.cpp
  src/storage/dbconfigsqlite.cpp
  src/storage/dbexception.cpp
  src/storage/dbinitializer.cpp
  src/storage/dbinitializer_p.cpp
  src/storage/dbintrospector.cpp
  src/storage/dbintrospector_impl.cpp
  src/storage/dbupdater.cpp
  src/storage/dbtype.cpp
  src/storage/itemqueryhelper.cpp
  src/storage/itemretriever.cpp
  src/storage/itemretrievalmanager.cpp
  src/storage/itemretrievalthread.cpp
  src/storage/itemretrievaljob.cpp
  src/storage/notificationcollector.cpp
  src/storage/parthelper.cpp
  src/storage/parttypehelper.cpp
  src/storage/query.cpp
  src/storage/querybuilder.cpp
  src/storage/querycache.cpp
  src/storage/queryhelper.cpp
  src/storage/schematypes.cpp
  src/storage/transaction.cpp
  src/storage/parthelper.cpp
  src/storage/storagedebugger.cpp
  src/tracer.cpp
  src/utils.cpp
  src/dbustracer.cpp
  src/filetracer.cpp
  src/notificationmanager.cpp
  src/notificationsource.cpp
  src/resourcemanager.cpp
  src/cachecleaner.cpp
  src/debuginterface.cpp
  src/imapstreamparser.cpp
  src/preprocessorinstance.cpp
  src/preprocessormanager.cpp
  src/storagejanitor.cpp
)

if (Soprano_FOUND)
  set(libakonadiprivate_SRCS
    ${libakonadiprivate_SRCS}
    src/nepomuksearch.cpp
    src/search/nepomuksearchengine.cpp
    src/nepomuk/dbusoperators.cpp
    src/nepomuk/queryserviceclient.cpp
    src/nepomuk/dbusconnectionpool.cpp
    src/nepomuk/result.cpp
  )

  set_source_files_properties(src/nepomuk/org.kde.nepomuk.QueryService.xml PROPERTIES INCLUDE "dbusoperators.h")
  set_source_files_properties(src/nepomuk/org.kde.nepomuk.Query.xml PROPERTIES INCLUDE "result.h")

  qt4_add_dbus_interface(libakonadiprivate_SRCS src/nepomuk/org.kde.nepomuk.QueryService.xml queryserviceinterface)
  qt4_add_dbus_interface(libakonadiprivate_SRCS src/nepomuk/org.kde.nepomuk.Query.xml queryinterface)
endif()

qt4_generate_dbus_interface(src/debuginterface.h org.freedesktop.Akonadi.DebugInterface.xml)

qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.TracerNotification.xml dbustracer.h Akonadi::Server::DBusTracer)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Tracer.xml tracer.h Akonadi::Server::Tracer)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.NotificationManager.xml notificationmanager.h Akonadi::Server::NotificationManager)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Server.xml akonadi.h Akonadi::Server::AkonadiServer)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.NotificationSource.xml notificationsource.h Akonadi::Server::NotificationSource)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.StorageDebugger.xml storage/storagedebugger.h Akonadi::Server::StorageDebugger)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.DebugInterface.xml debuginterface.h Akonadi::Server::DebugInterface)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.ResourceManager.xml resourcemanager.h Akonadi::Server::ResourceManager)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.PreprocessorManager.xml preprocessormanager.h Akonadi::Server::PreprocessorManager)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.SearchManager.xml search/searchmanager.h Akonadi::Server::SearchManager)
qt4_add_dbus_interfaces(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.AgentManager.xml ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Resource.xml)
qt4_add_dbus_interface(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Preprocessor.xml preprocessorinterface)
qt4_add_dbus_interface(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Agent.Control.xml agentcontrolinterface)
qt4_add_dbus_interface(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Agent.Search.xml agentsearchinterface)

qt4_add_resources(libakonadiprivate_SRCS src/storage/akonadidb.qrc)


add_library(akonadiprivate STATIC ${libakonadiprivate_SRCS})

if(QT5_BUILD)
  # TODO: Remove when Qt 4 is no longer supported.
  set_property(TARGET akonadiprivate APPEND PROPERTY COMPILE_DEFINITIONS QT_DISABLE_DEPRECATED_BEFORE=0)
endif()

target_link_libraries(akonadiprivate
  akonadi_shared
  ${QT_QTCORE_LIBRARY}
  ${QT_QTNETWORK_LIBRARY}
  ${QT_QTSQL_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTXML_LIBRARY}
  ${AKONADI_PROTOCOLINTERNALS_LIBS}
  ${AKONADI_SYSTEM_LIBS}
  ${Boost_PROGRAM_OPTIONS_LIBRARY}
)

if(Soprano_FOUND)
  target_link_libraries(akonadiprivate ${SOPRANO_LIBRARIES})
endif()

set(akonadiserver_bin_SRCS src/main.cpp)

if(AKONADI_STATIC_SQLITE)
  add_definitions(-DQT_STATICPLUGIN)
endif()

add_executable(akonadiserver_bin ${akonadiserver_bin_SRCS})
set_target_properties(akonadiserver_bin PROPERTIES OUTPUT_NAME akonadiserver)
target_link_libraries(akonadiserver_bin akonadi_shared akonadiprivate ${QT_QTCORE_LIBRARY})
if(AKONADI_STATIC_SQLITE)
  target_link_libraries(akonadiserver_bin qsqlite3)
endif()

install(TARGETS akonadiserver_bin DESTINATION ${BIN_INSTALL_DIR})
install(FILES
  src/storage/mysql-global.conf
  src/storage/mysql-global-mobile.conf
  DESTINATION ${CONFIG_INSTALL_DIR}/akonadi)

install(FILES
  src/search/abstractsearchplugin.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/akonadi)

## DBus XML files
install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.DebugInterface.xml
DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

=== shared/CMakeLists.txt ===
set(akonadi_shared_srcs
  akapplication.cpp
  akcrash.cpp
  akdbus.cpp
  akdebug.cpp
  akstandarddirs.cpp
)

add_library(akonadi_shared STATIC ${akonadi_shared_srcs})

target_link_libraries(akonadi_shared ${AKONADI_SYSTEM_LIBS})

=== server/akonadictl/CMakeLists.txt ===
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_ENABLE_EXCEPTIONS}")
include_directories(${CMAKE_CURRENT_BINARY_DIR})

########### next target ###############

set(akonadictl_SRCS
  akonadistarter.cpp
  main.cpp
)

qt4_add_dbus_interfaces(akonadictl_SRCS
  ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.ControlManager.xml
)

add_executable(akonadictl ${akonadictl_SRCS})
set_target_properties(akonadictl PROPERTIES OUTPUT_NAME akonadictl)
target_link_libraries(akonadictl 
  akonadi_shared
  akonadiprotocolinternals
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${AKONADI_PROTOCOLINTERNALS_LIBS}
  ${AKONADI_SYSTEM_LIBS}
  ${Boost_PROGRAM_OPTIONS_LIBRARY}
)

install(TARGETS akonadictl DESTINATION ${BIN_INSTALL_DIR})

=== debian/changelog ===
akonadi (1.12.1-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 08 Apr 2014 10:30:38 +0200

akonadi (1.12.0-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Mar 2014 21:40:59 +0000

akonadi (1.11.90-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1296707)

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 24 Mar 2014 06:01:57 -0700

akonadi (1.11.80-0ubuntu3) trusty; urgency=medium

  * Support mariadb as alternate database for the mysql backend as it is
    also supported upstream said on IRC.
    LP: #1289840

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 10 Mar 2014 23:09:34 +0100

akonadi (1.11.80-0ubuntu2) trusty; urgency=medium

  * Install missing files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Mar 2014 11:31:06 +0000

akonadi (1.11.80-0ubuntu1) trusty; urgency=medium

  * New upstream alpha release
  * Replace disable_dbus_requiring_tests.diff with starting dbus
    in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Mar 2014 15:09:30 +0000

akonadi (1.11.0-0ubuntu1) trusty; urgency=medium

  * New upstream release 
  * Add new symbol to libakonadiprotocolinternals1.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 24 Dec 2013 11:07:42 +0100

akonadi (1.10.80-0ubuntu1) trusty; urgency=low

  * New upstream release
   - Update install files
   - Update disable_dbus_requiring_tests.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 11 Nov 2013 17:38:58 +0100

akonadi (1.10.3-0ubuntu2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 13:54:07 +0100

=== debian/control ===
Source: akonadi
Section: libs
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>,
 Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7), cmake (>= 2.6.2), automoc, pkg-kde-tools (>= 0.12),
 libqt4-dev (>= 4:4.6.0), shared-mime-info, libmysqlclient-dev,
 libxslt-dev, libsoprano-dev (>= 2.1.1), xsltproc, libdbus-1-dev, libboost-program-options-dev,
 libsqlite3-dev, dh-apparmor, dbus-x11
Standards-Version: 3.9.3
Homepage: http://pim.kde.org/akonadi
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/akonadi
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/akonadi

Package: akonadi-server
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, akonadi-backend-mysql (= ${source:Version})
Suggests: akonadi-backend-mysql (= ${binary:Version}), akonadi-backend-sqlite (= ${binary:Version}),
 akonadi-backend-postgresql (= ${source:Version})
Description: Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains the Akonadi PIM storage server and associated programs.

Package: libakonadiprotocolinternals1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: akonadi-server (= ${binary:Version})
Replaces: libakonadiprivate1 (<< 1.4.90)
Breaks: libakonadiprivate1 (<< 1.4.90)
Description: libraries for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains libraries used by the Akonadi PIM storage service.

Package: libakonadi-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libakonadiprotocolinternals1 (= ${binary:Version}),
 libboost-dev, akonadi-server
Suggests: pkg-config
Description: development files for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains development files for building software that uses the
 Akonadi PIM storage service.

Package: akonadi-backend-mysql
Section: misc
Architecture: all
Depends: ${misc:Depends},
 mysql-server-core-5.5 | mariadb-server-core-5.5,
 mysql-client-core-5.5 | mariadb-client-core-5.5,
 libqt4-sql-mysql
Recommends: akonadi-server
Replaces: akonadi-server (<< 1.3.60~)
Breaks: akonadi-server (<< 1.3.60~)
Description: MySQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with MySQL
 as underlying data storage engine. By default, a local MySQL server instance
 will be started for each user. Alternatively, connection to an external MySQL
 database is supported as well.

Package: akonadi-backend-postgresql
Section: misc
Architecture: all
Depends: ${misc:Depends}, libqt4-sql-psql
Recommends: akonadi-server, postgresql
Replaces: akonadi-server (<< 1.3.60~)
Breaks: akonadi-server (<< 1.3.60~)
Description: PostgreSQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with
 PostgreSQL as underlying data storage engine. By default, a local PostgreSQL
 server instance will be started for each user. Alternatively, connection to an
 external PostgreSQL database is supported as well.

Package: akonadi-backend-sqlite
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: akonadi-server
Description: SQLite storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with SQLite
 as underlying data storage engine. Since SQLite is an embedded database
 engine, a separate SQL server daemon is not necessary.
 .
 In addition, the package contains an improved QSql driver for SQLite named
 "QSQLite3". It can be used by any application that needs to access SQLite
 databases via standard Qt QSql framework.

Package: akonadi-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}
Suggests: akonadi-server (= ${binary:Version})
Description: debugging symbols for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains debugging files used to investigate problems with
 the Akonadi PIM storage service.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

backend_packages = $(filter akonadi-backend-%,$(shell dh_listpackages))

override_dh_auto_configure:
	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi \
	    -DCONFIG_INSTALL_DIR=/etc \
	    -DINSTALL_QSQLITE_IN_QT_PREFIX=TRUE

override_dh_installdocs:
	# Install README.Debian to backend packages
	$(overridden_command) -A -pakonadi-server $(foreach p,$(backend_packages),-p$(p)) debian/README.Debian
	$(overridden_command) --remaining-packages

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_strip:
	$(overridden_command) --dbg-package=akonadi-dbg

override_dh_installinit:
	$(overridden_command)
	dh_apparmor -pakonadi-backend-mysql --profile-name=usr.sbin.mysqld-akonadi

override_dh_auto_test:
	PYBUILD_TEST_ARGS="export `dbus-launch`"\
	dh_auto_test

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/akonadi/src/akonadi-([\d\.]+)\.tar\.bz2

## akonadi 1.12.91

=== interfaces/CMakeLists.txt ===
SET(DBUS_INTERFACE_XMLS
  org.freedesktop.Akonadi.AgentManager.xml
  org.freedesktop.Akonadi.NotificationManager.xml
  org.freedesktop.Akonadi.Preprocessor.xml
  org.freedesktop.Akonadi.Tracer.xml
  org.freedesktop.Akonadi.Agent.Control.xml
  org.freedesktop.Akonadi.Agent.Search.xml
  org.freedesktop.Akonadi.Agent.Status.xml
  org.freedesktop.Akonadi.Resource.xml
  org.freedesktop.Akonadi.ControlManager.xml
  org.freedesktop.Akonadi.NotificationSource.xml
  org.freedesktop.Akonadi.Server.xml
  org.freedesktop.Akonadi.StorageDebugger.xml
  org.freedesktop.Akonadi.TracerNotification.xml
)

install(FILES ${DBUS_INTERFACE_XMLS}
        DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

=== debian/changelog ===
akonadi (1.12.91-0ubuntu1) trusty; urgency=medium

  * trusty backport 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 06 Aug 2014 19:03:10 -0700

akonadi (1.12.91-0ubuntu1) utopic; urgency=medium

  * New upstream release needed for KDE 4.13.90 beta 2
  * Remove patches applied upstream.
  * Update symbols with batchpatch.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 18 Jul 2014 15:38:49 -0700

akonadi (1.12.1-1ubuntu3) utopic; urgency=medium

  * Allow using mysql 5.6 as DB for akonadi-backend-mysql (LP: #1330180)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 14:14:01 +0200

akonadi (1.12.1-1ubuntu2) utopic; urgency=medium

  * Add upstream_1.12.1-invalid-gid.diff from upstream to fix broken upgrade
   - LP: #1318718
   - https://bugs.kde.org/331867

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 12 May 2014 16:37:03 +0100

akonadi (1.12.1-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
      mysql-client-core-5.5 instead of mysql-server-core.
    - Force dependency on akonadi-backend-mysql for akonadi-server.
    - Keep debian/libakonadiprotocolinternals1.symbols from Ubuntu

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 08 May 2014 15:08:19 +0200

akonadi (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for 1.12.0 version.
  * New upstream patch: upstream_1.12-Use-per-thread-
    QDBusConnections.patch
  * New upstream patch: upstream_1.12-Remove-the-invalid-GID-part-from-
    PartTable-before-st.patch
  * New upstream patch: upstream_1.12-Fix-retrieving-of-GID-from-SQL-
    query-result-in-Fetch.patch

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 May 2014 17:19:48 +0200

akonadi (1.12.1-0ubuntu2) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 26 Apr 2014 23:20:45 +0100

akonadi (1.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove patch: dont_do_redundant_flag_changes.diff
  * Remove patch: always_verify_writing_data_to_external_file.diff
  * Remove patch: correctly_detect_inter-resource_moves.diff
  * Update install files.
  * Remove old abi information, update acc file.
  * Update symbols from 1.11.0.
  * Update symbols.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Apr 2014 15:37:32 +0200

akonadi (1.11.0-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.
  * Update subst var for akonadi-backend-mysql.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream patch: dont_do_redundant_flag_changes.diff
  * New upstream patch: always_verify_writing_data_to_external_file.diff
  * Update symbols file.
  * Update install files.
  * New upstream patch: correctly_detect_inter-resource_moves.diff.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 08 Jan 2014 15:40:35 -0300

akonadi (1.10.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #729615, #716922)
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Nov 2013 14:53:11 +0100

akonadi (1.10.2-2) unstable; urgency=low

  * Rebuild for unstable release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Nov 2013 12:54:23 +0100

akonadi (1.10.2-1) experimental; urgency=low

  * Update vcs-fields.
  * Refresh patch disable_dbus_requiring_tests.
  * Update installed files.
  * Update libakonadiprotocolinternals1 symbols file.
  * Add empty dir in -dev package, to make AkonadiConfig.cmake happy.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Aug 2013 12:42:10 +0200

akonadi (1.9.2-2) unstable; urgency=low

  * Team upload.
  * Force the installation of the Qt plugins (such as qsqlite3) within Qt's
    plugin directory: (Closes: #708007)
    - pass -DINSTALL_QSQLITE_IN_QT_PREFIX=ON to cmake
    - adjust akonadi-backend-sqlite.install
    - add ${misc:Pre-Depends} in akonadi-backend-sqlite

 -- Pino Toscano <pino@debian.org>  Fri, 17 May 2013 15:39:30 +0200

akonadi (1.9.2-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Add myself to the Uploaders field.
  * Bump Standards-Version to 3.9.4.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 11 May 2013 00:57:28 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libqt4-dev (>= 4:4.6.0), shared-mime-info, libmysqlclient-dev,
  libxslt-dev, libsoprano-dev (>= 2.1.1), xsltproc, libdbus-1-dev, libboost-program-options-dev,
  libsqlite3-dev, dh-apparmor, dbus-x11
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://pim.kde.org/akonadi
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/akonadi
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/akonadi
@@ -58,8 +58,8 @@
 Section: misc
 Architecture: all
 Depends: ${misc:Depends},
- mysql-server-core-5.5 | mariadb-server-core-5.5,
- mysql-client-core-5.5 | mariadb-client-core-5.5,
+ mysql-server-core-5.5 | mariadb-server-core-5.5 | mysql-server-core-5.6,
+ mysql-client-core-5.5 | mariadb-client-core-5.5 | mysql-client-core-5.6,
  libqt4-sql-mysql
 Recommends: akonadi-server
 Replaces: akonadi-server (<< 1.3.60~)
